import { ChainId, ChainName, TokenId } from '@wormhole-foundation/wormhole-connect-sdk';
import { BigNumber } from 'ethers';
import { ManualCCTPMessage, SignedMessage } from '../../types';
export default interface ManualCCTP<T = any> {
    send(token: TokenId | 'native', amount: string, sendingChain: ChainName | ChainId, senderAddress: string, recipientChain: ChainName | ChainId, recipientAddress: string): Promise<T>;
    redeem(destChain: ChainName | ChainId, message: SignedMessage, payer: string): Promise<T>;
    getMessage(tx: string, chain: ChainName | ChainId): Promise<ManualCCTPMessage>;
    estimateSendGas(token: TokenId | 'native', amount: string, sendingChain: ChainName | ChainId, senderAddress: string, recipientChain: ChainName | ChainId, recipientAddress: string, routeOptions?: any): Promise<BigNumber>;
    isTransferCompleted(destChain: ChainName | ChainId, messageInfo: SignedMessage): Promise<boolean>;
}
//# sourceMappingURL=abstract.d.ts.map